﻿using System.Configuration;
using System.Diagnostics;

namespace GerkePreussner.Blog.ReverseProxy
{
    /// <summary>
    /// Implements a log for debugging purposes.
    /// </summary>
    
    public class Log
    {
        #region Static

        /// <summary>
        /// Writes a message to the Windows Event Log.
        /// </summary>
        /// <param name="message">Event message.</param>

        static public void Error (string message)
        {
            Entry(message, EventLogEntryType.Error);
        }

        /// <summary>
        /// Writes an entry to the event log.
        /// </summary>
        /// <param name="message">Event message.</param>
        /// <param name="type">Event type.</param>

        static public void Entry (string message, EventLogEntryType type)
        {
            if (ConfigurationManager.AppSettings.Get("EventLogEnabled") == "true")
            {
                EventLog.WriteEntry(ConfigurationManager.AppSettings.Get("EventLogSource"), "\n\n" + message, type);
            }
        }

        /// <summary>
        /// Writes a message to the Windows Event Log.
        /// </summary>
        /// <param name="message">Event message.</param>

        static public void Information (string message)
        {
            Entry(message, EventLogEntryType.Information);
        }

        /// <summary>
        /// Writes a message to the Windows Event Log.
        /// </summary>
        /// <param name="message">Event message.</param>

        static public void Warning (string message)
        {
            Entry(message, EventLogEntryType.Warning);
        }

        #endregion Static
    }
}
